--DROP TABLE ${projectKey}_INPUT;

CREATE TABLE ${projectKey}_INPUT 
(
    BYTEINT_COL BYTEINT,
    SMALLINT_COL SMALLINT,
    INTEGER_COL INTEGER,
    BIGINT_COL BIGINT,
    REAL_COL REAL,
    DOUBLE_COL DOUBLE PRECISION,
    NUMERIC_COL NUMERIC(9, 2),
    VARCHAR_COL VARCHAR(10),
    CHAR_COL CHAR(5),
    DATE_COL DATE,
    TIMESTAMP_COL TIMESTAMP WITH TIME ZONE
);

INSERT INTO ${projectKey}_INPUT VALUES (1, 1, 1, 1, 1.0, 1.0, 100.50, 'A', 'A', DATE '2019-06-15', TIMESTAMP '2019-06-25 10:30:00');
INSERT INTO ${projectKey}_INPUT VALUES (2, 2, 2, 2, 2.0, 2.0, 100.51, 'B', 'B', DATE '2019-08-15', TIMESTAMP '2019-07-25 10:30:00');
INSERT INTO ${projectKey}_INPUT VALUES (3, 3, 3, 3, 3.0, 3.0, 100.52, 'C', 'C', DATE '2019-07-15', TIMESTAMP '2019-08-25 10:30:00');
INSERT INTO ${projectKey}_INPUT VALUES (4, 4, 4, 4, 4.0, 4.0, 100.53, 'D', 'D', DATE '2019-09-15', TIMESTAMP '2019-09-25 10:30:00');
INSERT INTO ${projectKey}_INPUT VALUES (5, 5, 5, 5, 5.0, 5.0, 100.54, 'C', 'E', DATE '2019-08-15', TIMESTAMP '2019-10-25 10:30:00');
